import React, { ComponentPropsWithoutRef } from 'react';
import { BreadcrumbItem as UiBreadcrumbItem } from '../ui/breadcrumb';
export interface BreadcrumbProps {
    separator?: React.ReactNode;
    maxCount?: number;
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export declare function Breadcrumb(props: BreadcrumbProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Breadcrumb {
    var Item: React.ForwardRefExoticComponent<BreadcrumbItemProps & React.RefAttributes<HTMLLIElement>>;
}
export interface BreadcrumbItemProps extends ComponentPropsWithoutRef<typeof UiBreadcrumbItem> {
    variant?: 'default' | 'link' | 'page';
}
