import React from 'react';
import { DateRange, DayPickerMultipleProps, DayPickerRangeProps, DayPickerSingleProps } from 'react-day-picker';
import { ButtonProps } from '../Button';
export interface DatePickerProps extends ButtonProps {
    calendarProps?: DayPickerSingleProps | DayPickerMultipleProps | DayPickerRangeProps;
    placeholder?: React.ReactNode;
    /**
     * @default 'yyyy-MM-dd'
     */
    formatStr?: string;
    format?: (selected: Date | Date[] | DateRange) => React.ReactNode;
    onClear?: () => any;
}
export declare const DatePicker: React.ForwardRefExoticComponent<DatePickerProps & React.RefAttributes<HTMLButtonElement>>;
