import { ComponentPropsWithoutRef } from 'react';
import { Tabs as UiTabs } from '../ui/tabs';
export interface TabsProps extends ComponentPropsWithoutRef<typeof UiTabs> {
    items?: {
        value: string;
        title: React.ReactNode;
        content: React.ReactNode;
    }[];
}
export declare function Tabs(props: TabsProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Tabs {
    var List: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-tabs").TabsListProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    var Trigger: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-tabs").TabsTriggerProps & import("react").RefAttributes<HTMLButtonElement>, "ref"> & import("react").RefAttributes<HTMLButtonElement>>;
    var Content: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-tabs").TabsContentProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
}
