/// <reference types="react" />
export type AlertVariant = 'default' | 'destructive';
export interface AlertProps {
    variant?: AlertVariant;
    icon?: React.ReactNode;
    title?: React.ReactNode;
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export declare function Alert(props: AlertProps): import("react/jsx-runtime").JSX.Element;
