/// <reference types="react" />
import { CheckboxProps as UiCheckboxProps } from '@radix-ui/react-checkbox';
export interface CheckboxProps extends UiCheckboxProps {
}
declare const _Checkbox: import("react").ForwardRefExoticComponent<CheckboxProps & import("react").RefAttributes<HTMLButtonElement>>;
export declare const Checkbox: typeof _Checkbox & {
    Group: typeof CheckboxGroup;
};
export interface CheckboxGroupProps {
    disabled?: boolean;
    defaultValue?: string[];
    value?: string[];
    /**
     * @default 'horizontal'
     */
    layout?: 'horizontal' | 'vertical';
    onChange?: (value: string[]) => void;
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
declare const CheckboxGroup: import("react").ForwardRefExoticComponent<CheckboxGroupProps & import("react").RefAttributes<HTMLDivElement>>;
export {};
