/// <reference types="react" />
export interface PaginationProps {
    total?: number;
    page?: number;
    /**
     * @default 1
     */
    defaultPage?: number;
    /**
     * @default 10
     */
    pageSize?: number;
    /**
     * @default 2
     */
    buffer?: number;
    className?: string;
    style?: React.CSSProperties;
    onChange?: (page: number) => any;
}
export declare function Pagination(props: PaginationProps): import("react/jsx-runtime").JSX.Element;
