/// <reference types="react" />
import { RadioGroupProps as UiRadioGroupProps, RadioGroupItemProps as UiRadioGroupItemProps } from '@radix-ui/react-radio-group';
export interface RadioGroupProps extends UiRadioGroupProps {
    /**
     * @default 'horizontal'
     */
    layout?: 'horizontal' | 'vertical';
}
export interface RadioProps extends UiRadioGroupItemProps {
}
export declare function Radio(props: RadioProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Radio {
    var Group: import("react").ForwardRefExoticComponent<RadioGroupProps & import("react").RefAttributes<HTMLDivElement>>;
}
