import { ComponentPropsWithoutRef } from 'react';
import { ScrollBar, ScrollArea as UiScrollArea } from '../ui/scroll-area';
export interface ScrollAreaProps extends ComponentPropsWithoutRef<typeof UiScrollArea> {
    orientation?: 'vertical' | 'horizontal';
    scrollBarProps?: Omit<ComponentPropsWithoutRef<typeof ScrollBar>, 'orientation'>;
}
declare function ScrollArea(props: ScrollAreaProps): import("react/jsx-runtime").JSX.Element;
export { ScrollArea };
