import { ComponentPropsWithoutRef } from 'react';
import { Tooltip as UiTooltip, TooltipContent } from '../ui/tooltip';
interface TooltipContentProps extends ComponentPropsWithoutRef<typeof TooltipContent> {
}
export interface TooltipProps extends Omit<ComponentPropsWithoutRef<typeof UiTooltip>, 'children'>, Omit<TooltipContentProps, 'content' | 'children'> {
    children?: React.ReactNode;
    content?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export declare const Tooltip: import("react").ForwardRefExoticComponent<TooltipProps & import("react").RefAttributes<HTMLButtonElement>>;
export {};
